## imcode.server.user
Interface UserAndRoleRegistry

All Known Implementing Classes:
  ChainedLdapUserAndRoleRegistry, ExternalizedImcmsAuthenticatorAndUserRegistry, ImcmsAuthenticatorAndUserAndRoleMapper, LdapUserAndRoleRegistry

    public interface UserAndRoleRegistry

Method Summary
`java.lang.String[]` `getAllRoleNames()`
`java.lang.String[]` `getRoleNames(UserDomainObject user)`
`UserDomainObject` `getUser(java.lang.String loginName)`

Method Detail

### getUser

    UserDomainObject getUser(java.lang.String loginName)

### getRoleNames

    java.lang.String[] getRoleNames(UserDomainObject user)

### getAllRoleNames

    java.lang.String[] getAllRoleNames()